<app-loading *ngIf="isLoading"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="categoryTypes"
        [mbType]="
          isSubmitted && form.controls['type'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['type'].errors !== null"
        [mbErrors]="form.controls['type'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.categoryShare.label.params'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.categoryShare.label.params'
        }}"
        mbLabelText="{{
          'insurance.categoryShare.label.params' | translate
        }} <span class='label__required'>*</span>"
        formControlName="type"
      ></mb-select>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text
        formControlName="name"
        [mbType]="
          isSubmitted && form.controls['name'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['name'].errors !== null"
        [mbErrors]="form.controls['name'].errors"
        [mbMaxLength]="50"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength' | translate: { numberLength: '50' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.categoryShare.label.name'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.categoryShare.label.name'
        }}"
        mbLabelText="{{
          'insurance.categoryShare.label.name' | translate
        }} <span class='label__required'>*</span>"
      ></mb-input-text>
    </div>

    <div nz-col formGroupName="properties" nzXs="24" nzLg="12">
      <mb-input-text
        formControlName="nameOne"
        [mbType]="
          isSubmitted && form.get('properties.nameOne')?.errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.get('properties.nameOne')?.errors !== null
        "
        [mbErrors]="form.get('properties.nameOne')?.errors"
        [mbMaxLength]="100"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength'
              | translate: { numberLength: '100' }
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.categoryShare.label.nameOne'
        }}"
        mbLabelText="{{ 'insurance.categoryShare.label.nameOne' | translate }}"
      ></mb-input-text>
    </div>

    <div nz-col formGroupName="properties" nzXs="24" nzLg="12">
      <mb-input-text
        formControlName="nameTwo"
        [mbType]="
          isSubmitted && form.get('properties.nameTwo')?.errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.get('properties.nameTwo')?.errors !== null
        "
        [mbErrors]="form.get('properties.nameTwo')?.errors"
        [mbMaxLength]="100"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength'
              | translate: { numberLength: '100' }
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.categoryShare.label.nameTwo'
        }}"
        mbLabelText="{{ 'insurance.categoryShare.label.nameTwo' | translate }}"
      ></mb-input-text>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="statusOptions"
        [mbType]="
          isSubmitted && form.controls['flagStatus'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['flagStatus'].errors !== null
        "
        [mbErrors]="form.controls['flagStatus'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.common.label.flagStatus'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.common.label.flagStatus'
        }}"
        mbLabelText="{{
          'insurance.common.label.flagStatus' | translate
        }} <span class='label__required'>*</span>"
        formControlName="flagStatus"
      ></mb-select>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-date-picker
        [mbType]="
          isSubmitted && form.controls['fromDate'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['fromDate'].errors !== null"
        [mbErrors]="form.controls['fromDate'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.common.label.fromDate'
          }
        ]"
        formControlName="fromDate"
        mbLabelText="{{
          'insurance.common.label.fromDate' | translate
        }} <span class='label__required'>*</span>"
      ></mb-date-picker>
    </div>
  </div>
</form>
